rt2500pci wireless regression in lucid

Bug #539794 reported by fossfreedom on 2010-03-16
110
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
High
Manoj Iyer

Bug Description

using the latest lucid kernel (.16) and latest updates (16/03/10)

Cannot connect wirelessly - pcmcia card requires the rt2500pci driver. This has worked fine in hardy/jaunty and karmic. Lucid has broken wireless connectivity.

Network manager does not display any wireless networks. After about 5 minutes, the main home wireless network is sometimes displayed. However no other wireless networks is displayed.

In previous ubuntu versions, on boot, all wireless networks were always displayed, and the strongest network (my home network) was automatically connected.

I can only connect now via the laptop inbuilt RJ45 port.

Looking in the syslog I noticed the following errors being displayed:

Mar 16 19:03:01 ubuntu-laptop kernel: [ 2366.400052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 3 (-16).
Mar 16 19:03:32 ubuntu-laptop kernel: [ 2397.180048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
Mar 16 19:03:32 ubuntu-laptop kernel: [ 2397.776051] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
Mar 16 19:05:01 ubuntu-laptop kernel: [ 2486.400029] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 3 (-16).

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: administrator 1231 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with ALC202 at irq 10'
   Mixer name : 'Realtek ALC202 rev 0'
   Components : 'AC97a:414c4740'
   Controls : 37
   Simple ctrls : 23
Date: Tue Mar 16 19:03:28 2010
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=d5de6cfd-d9c7-4d95-adf0-4763a9399bb3
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
Lsusb:
 Bus 004 Device 002: ID 15d9:0a4c Dexon
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: TOSHIBA Satellite A30
Package: linux-image-2.6.32-16-generic 2.6.32-16.25
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   3.3V 32-bit PC Card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic root=UUID=91abadf7-37aa-4581-872c-790d090e2d79 ro noapic quiet splash
ProcEnviron:
 LANG=C
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.32
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.32-16-generic i686
dmi.bios.date: 07/22/2004
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V1.80
dmi.board.name: DBL00
dmi.board.vendor: TOSHIBA
dmi.board.version: Null
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV1.80:bd07/22/2004:svnTOSHIBA:pnSatelliteA30:pvrPSA35E-3KK72-EN:rvnTOSHIBA:rnDBL00:rvrNull:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite A30
dmi.product.version: PSA35E-3KK72-EN
dmi.sys.vendor: TOSHIBA

fossfreedom (fossfreedom) wrote :
description: updated
Brian Murray (brian-murray) wrote :

Does the behavior change if you do not boot with the noapic option? Additionally, did you boot previous releases with noapic?

Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Incomplete
fossfreedom (fossfreedom) wrote :

Hi there,
  I always have to use the noapic option. I've had to do this since moving 7.10 to 8.04. I've continued to use noapic through 8.10, 9.04 and 9.10. Occasionally I've tested without noapic. Without the noapic option, the laptop does not boot. It appears to freeze before getting to the GDM.

On lucid, no joy trying to boot without noapic - the grub, disappears, fsck messages appear , black screen with flashing cursor, before cursor disappears and computer freezes.

With noapic boot and use of the computer is fine - i.e. grub disappears, fsck messages appear, black screen with flashing cursor, more black screen, then GDM displays. Its just the wireless that doesn't work.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
fossfreedom (fossfreedom) wrote :

whilst testing another bug - https://bugs.launchpad.net/bugs/356478 - I downloaded and installed the following mainline kernel:
2.6.34-999-generic_2.6.34-999.201003151003_i386

Using this kernel, on login, the wireless works correctly.

Hope this helps tracking down the regression.

Chase Douglas (chasedouglas) wrote :

@DavidM:

Can you also test the 2.6.33 mainline kernel? Lucid is based on 2.6.32, so it would help to know which kernel the fix went in.

Thanks

fossfreedom (fossfreedom) wrote :

OK, have done some more testing - things are more complicated than I thought. Unfortunately, my hopes that the upstream kernels has fixed my wireless has been dashed...

I've tested the following kernels:
2.6.31-02063112-generic_2.6.31-02063112_i386 from the mainline
2.6.32-16 - latest for lucid
2.6.33-020633-generic_2.6.33-020633_i386 from the mainline
2.6.34-999-generic_2.6.34-999.201003151003_i386 from the current mainline

the following are observations for each kernel:
2.6.31 - wireless was perfect - same wireless broadband speed as RJ45 connection (245 kBs)
2.6.32 - wireless was intermittent & slow - wireless broadband speed was max 100kBs - RJ45 was max 245 kBs). phy0 -> rt2500pci_set_device_state constantly outputted to kernel log.
2.6.33 - wireless was intermittent & slow - wireless broadband speed was max 100kBs - RJ45 was max 245 kBs). no errors outputted to kernel log
2.6.34 - wireless was intermittent & slow - wireless broadband speed was max 100kBs - RJ45 was max 245 kBs). phy0 -> rt2500pci_set_device_state constantly outputted to kernel log.

The only conclusion i can think of is that 2.6.32 broke the rt2500pci driver and that this has carried through to all the upstream kernels.

fossfreedom (fossfreedom) wrote :

Hi there,
  some more info -

googling around I found this thread
https://bugzilla.kernel.org/show_bug.cgi?id=13362

seems there is indeed a kernel issue here with a possible kernel fix

I've also tried sudo iwconfig wlan0 rate 48M - followed by a reset of my wireless connection. This fixes the problem briefly (approx 30 seconds) before the connection rate slows again.

fossfreedom (fossfreedom) wrote :

... any chance in the very near future that you can add the "revert" as described in the linked kernal bug report into the ubuntu lucid kernel?

Reading through the kernel report, canonical must have added the "revert" into the karmic .31 kernel since the original mainline .31 kernel also suffered from this issue.

Chase Douglas (chasedouglas) wrote :

@DavidM:

The problem is that the change that seems to have introduced this problem is in a common path for many drivers. We can't be sure that if we revert the change that we won't cause issues for other users. Because we don't have any expertise in this area on the Ubuntu kernel team, we have to work with upstream to get these issues addressed. The upstream bug report is the best way to have this issue resolved. If a resolution is found we can look into including it in the Ubuntu kernels.

zob (zob) wrote :

I've got the same problem on:
lars@lones-laptop:/var/log$ lsb_release -a && uname -aNo LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.04 LTS
Release: 10.04
Codename: lucid
Linux lones-laptop 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

I suspect that this makes firefox hang all the time.
I'll attach info in next post. Have to hurry this through before FF hangs.

zob (zob) wrote :

Info.

zob (zob) wrote :
zob (zob) wrote :
zob (zob) wrote :
zob (zob) wrote :
zob (zob) wrote :
zob (zob) wrote :
zob (zob) wrote :

Sorry for all the post. It kept hanging on me. Now I've bootet on the 2.6.31-10-rt (a real time kernel?), which was the only pre2.6.32 I could find in the repos (and I haven't got a clue as to compile a kernel).
The 2.6.31-10-rt seems to be working fine in this respect though.
At least I don't get the "phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16)"- error any more.
By the way my hardware is an Asus wl-107g which has been working flawlessly on linux until kernel 2.6.32.

Please let me know if I can provide you with more info.

yeti (utu) wrote :

See also #456977 for comments.
There are some work-arounds for many of the wlan symptoms,
and possibly a cure in 2.6.34.999.
yeti

zob (zob) wrote :

Thanks yeti.
The sudo iwconfig wlan0 power off seem to stop the kern.log spamming. I wasn't shure how to do this automatically at startup, but following this: http://www.linuxquestions.org/questions/linux-wireless-networking-41/where-should-i-add-iwconfig-options-to-make-them-permanent-786904/ worked for me.

yeti (utu) wrote :

Thanks zob, I will look into this approach.

My solution was just to put 'sudo iwconfig wlan0 power off' into /etc/rc.local.
That's how I try to do most of my work-arounds.

I must admit, working around network-manager may _require_ your approach for some iwconfig selections.

yeti (utu) wrote :

Work-around noted in #21 still required in my installation,
with 2.6.32-22 kernel just updated from original Ubuntu 10.04.

jhoechtl (johann-hoechtl) wrote :

Well there's not much to say ... when you take a look at ubuntuforums the network section is trashed with reports about unacceptable WiFi speed. I am affected too.

If I disable WiFi, re-enable, wait for association with AP .. then speed is back to somehow normal, at least much better but drops fairly quickly.

When will this be addressed? People migrate back as work over WifI is impossible for lots of people ....

zob (zob) wrote :

@jhoechtl. My guess it that a fix will come with ubuntu 10.10 (but what do I know).
There is a work-around though. Read #19-#22.

yeti (utu) wrote :

@jhoechtl and @zob

Just to be clear on my rt2500pci comments and status:
1. For me, the speed problem went away entirely with the latest 10.04 kernel.
2. For me, the new problem of spamming the logs is solved with no performance penalty with
     a small /etc/rc.local command.
3. Neither problem was more than a minor inconvenience once a work-around was discovered.

I'm always much more interested in a timely work-around than some grand fix.
That's because I'm more interesting in my present system doing my apps now.
I'll never understand all the programming details anyway.

I can imagine the collision between kernel programming and trying to deal with proprietary
wireless hardware may be very difficult, however.
You can get a feel for this by following the kernel-bug 13362 dialog.

Ader (rasmusrim) wrote :

I saw the workaround, but cannot understand how powering off the network device is going to make it work?

My problem is that the network card is specified as "disabled", and that I cannot find a way of enabling it.

http://ubuntuforums.org/showthread.php?t=1460659

Rasmus

jhoechtl (johann-hoechtl) wrote :

@Ader : As fas as i undestand #yeti, this work around only prevents trashing his log files. He is not experiencing speed issues with 10.04. But i will investigate and report later if this actually fixes the speed issues (which I doubt too)

This report is trashed by non-fitting material anyway, we should try to keep it clean. Unfortunately ... is there actually _THE_ appropraite launpad bug to address the speed regression in vanilla 10.04 kernel as discussed on the wireless mailing list?

yeti (utu) wrote :

Full disclosure details:

lspci excerpt:
RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)

cat /proc/version:
Linux version 2.6.32-22-generic (buildd@rothera) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010

/etc/rc.local excerpt:
#iwconfig wlan0 rate 54M
iwconfig wlan0 power off

Comments relative to these noted details:

1. The 'rate problem' has been around for a long time; my need for the first rc.local
line has gone away with the kernel noted. I don't have a regression, I have an improvement.
2. The 'log spamming problem' has been around at least since ubuntu9.10; I first
noticed it in Lucid, but others reported a version of it in Bug 456977. It's being worked
on by the Kernel group, see Kernel Bug 13362. It's not a regression, per se. No
sense in recording this stuff.
3. AFAIK, 'power off' are just magic words to disable power management on the wlan,
management capabilities my hardware may not have. YMMV.

yeti (utu) wrote :

A further thought on the situation:

4. Signal strength does make a difference here.
     At -69 to -67 dbm or three bars on the network manager icon, my broadband works works very well;
     At -73 or -72 dbm or two bars, my broadband is noticeably poorer; and
     At -75 dbm my broadband gives up.

I have the feeling the latest kernel may have much improved the SNR situation for the rt2500 hardware. In my case my broadband performance with Linux is now on a par with that of XP.

I get my dbms from iwconfig and my broadband test from SpeedTest.net. I get my broadband from Verizon FiOS, usually at about 15Mbps.

Andy Whitcroft (apw) on 2010-05-24
tags: added: kernel-net kernel-reviewed
Seth Hikari (sethhikari) wrote :

Just filed this bug Bug #588113, it is latest maverick kernel not sure if it is duplicate ?

Manoj Iyer (manjo) wrote :

can you please try the kernel in http://people.ubuntu.com/~manjo/lp539794-lucid/ and see if that fixes the problem ?

Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Manoj Iyer (manjo)
status: Triaged → Incomplete
fossfreedom (fossfreedom) wrote :

tried the new kernel - no joy. Speed is still under 1Mb/s and is intermittent. Still getting
[ 253.960053] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[ 265.540055] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).

messages being reported in the kernel log.

Manoj Iyer (manjo) wrote :

Can you try
$iwconfig wlan0 rate 54M mode managed power off

fossfreedom (fossfreedom) wrote :

yes - that fixed the issue. However I doubt newbies will be aware of the workaround nor how to invoke it automatically on boot. Can this fix be somehow incorporated in the kernel?

I've also got another rt2500pci pcmcia card - however the new kernel still doesn't resolve the kernel crash I have with all lucid and upstream kernels...

see attached (bug report https://bugs.launchpad.net/ubuntu/+source/linux/+bug/547192)

Ader (rasmusrim) wrote :

Similar issue in bug #588113 states:

"Seems to be fixed in kernel 2.6.35-1"

Is our issue also solved? I'm looking forward to being able to upgrade to Lucid :)

Rasmus

Manoj Iyer (manjo) wrote :

DavidM, thanks a ton for confirming that info, based on that I cherry picked a couple of patches from upstream, can you please try this kernel to see if these patches fix the issue ?

http://people.ubuntu.com/~manjo/lp539794-lucid/

zob (zob) wrote :

I can confirm that this bug is gone in maverick alpha from kernel version 2.6.35.

fossfreedom (fossfreedom) wrote :

Manoj,
  thanks for the new kernel - I've tested it as requested, with some very interesting results - very specific to the new kernel.

On a reboot, the download speed never exceeds 0.5Mb/s. However disconnecting wireless via network manager and reconnecting, the download speed is at the standard 2.4Mb/s i.e. max speed my line can handle. I no longer see the device failed type messages. This is very repeatable since I tried several reboot and retests.

On the belkin rt2500pci (see bug report in my last post) the kernel crashed in the rt2500pci kernel module in the same manner as described in the bug report.

With a broadcom 43xx and a reboot the download speed is the standard 2.4Mb/s. i.e. the new kernel has no detrimental effects with other types of wireless card.

fossfreedom (fossfreedom) wrote :

Manoj,
  I've also tested the 2.6.35-rc2-maverick kernel in the ubuntu mainline. I get exactly the same results as your new kernel.

Ader (rasmusrim) wrote :

Maybe Canonical should consider not releasing new version so frequently. Upgrading to new releases is always a big risk. One has no guarantee that things that have been working for the last 4 releases will work in the next one. For every new upgrade there is something that doesn't work. How can I recommend something like that to anyone?

Probably not the right place to complain, but I just had to get it out...

Manoj Iyer (manjo) wrote :

SRU submitted to ukml.

Manoj Iyer (manjo) wrote :

DaveM,

I need to request stable@kernel to include these patches in order for these patches to be included in Lucid. From your test results I was not sure if you said that the test kernel fixes your issue or if the issue still exists, because on belkin rt2500pci you said the kernel still has errors ? I wont be able to request the patches be applied to stable if there are still issues with it. Please clarify.

fossfreedom (fossfreedom) wrote :

Manoj,
  sorry if my test results were not clear.

Your test kernel did not fix the issue. The issue still exists when a user first boots.

The issue does have a workaround with the new kernel - the workaround is to disconnect the wireless via network manager and then reconnect.

My second rt2500pci card that I can test with is called a belkin rt2500pci. It is this card that causes a kernel panic. It has never worked under any linux kernel. It just works under windows.

Manoj Iyer (manjo) wrote :

In this case we are at square one :) I have withdrawn my SRU request to ukml, I will check to see what patches upstream fixes this issue correctly.

Ader (rasmusrim) wrote :

I have recently installed a fresh install of Ubuntu Karmic on a laptop which is exactly the same as the one I am using (Karmic being used because of the wireless regression in Lucid rendering it not usable for my purposes.) The funny thing is that on this new install wireless doe not work. It is exactly the same problem as I experienced with Lucid:

sudo lshw | grep network
*-network:0 DISABLED

On the old laptop, however, which has had Karmic since it came out things work fine. These two laptops are using the SAME kernel... Could this mean that this isn't really a kernel issue anyway?

Rasmus

Ader (rasmusrim) wrote :

Btw... the kernel in question is 2.6.31-22-generic.

Rasmus

Changed in linux:
status: Unknown → Incomplete
Changed in linux:
importance: Unknown → Medium
Changed in linux:
status: Incomplete → Confirmed
Hansen (moteprime) wrote :

Hi.
I have a "ASUS 802.11 b/g wireless LAN card" PCI card, It worked fine in earlier versions but stopped working after upgrading to Lucid, and also it does not work in Natty.
lspci reports "01:06.0 Network controller: Ralink corp. RT2500 802.11g (rev 01)", but it does not show up in "network Connection".
I do not have "- Device failed to enter state" in syslog from Natty

Is it the right bug for me to subscribe to?

Is there any chance it going to get fixed or should i go and get another wireless adapter?

tags: removed: regression-potential
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.